R4i-SDHC won't update.

Discussion in '3DS - Flashcards & Custom Firmwares' started by Yamagushi, Jun 18, 2013.

  1. Yamagushi
    OP

    Yamagushi GBAtemp Regular

    Member
    276
    115
    May 2, 2013
    United States
    A few months ago, shortly after buying R4i-SDHC 3DS 4.5 I ran the built in Wifi updater. It apparently downloaded an older version of the firmware downgrading my card to pre-1.4.4 compatibility, changing the boot game from "Bomberman" back to "Metroid", and now will not show the upgrade option even with newer firmware as it believes that it is already up to date. I've found a couple posts on the web of others who had the same thing happen, but no resolutions to it. Does anyone know of a way to force an update or have any suggestions for how to fix this? Thanks!


    EDIT:Solved solution at the bottom.
    http://gbatemp.net/threads/r4i-sdhc-wont-update.349720/#post-4687992
     


  2. Fishaman P

    Fishaman P Speedrunner

    Member
    3,241
    507
    Jan 2, 2010
    United States
    Wisconsin
    If your R4i-SDHC 3DS 4.5 is anything like my R4i-SDHC v1.4.3, that isn't the case.
    Firmware updates are only included with one kernel update for these cards; don't ask me why.

    tl;dr find a YT video of someone updating their firmware to the desired version, then grab that exact kernel.
     
  3. Yamagushi
    OP

    Yamagushi GBAtemp Regular

    Member
    276
    115
    May 2, 2013
    United States
    Firmware/Kernel, it isn't a problem of not knowing how to update it. The card thinks its up to date when its not and won't allow any updates. The option is essentially "greyed out". The card originally downgraded using its built in wifi upgrade, probably to a firmware/kernel not meant for the "3DS" card at that, and now I'm guessing it doesn't believe either that the update is newer or the correct type. But it is..
     
  4. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,110
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
  5. Yamagushi
    OP

    Yamagushi GBAtemp Regular

    Member
    276
    115
    May 2, 2013
    United States
    No no, the update exists. The problem is the card won't run the update, it acts like it is up-to-date and the "Update" button can't be selected. Using r4i-sdhc.com's "R4i-SDHC 3DS 4.5" card, when going from 4.5 to 5.0 they had a bad update on their built in download system for the card. The bad update, instead of updating cards, downgraded them to 4.4 and locked them in a state in which the card's software doesn't believe there's an update on the SD card, when there in fact is. I have found a couple other posts from the same time of other unlucky people who had the exact same thing happen, but nobody was able to find a solution. Probably just gonna have to buy a new one, was only 13$ so no big deal.
     
  6. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,110
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    I didn't say an update in general, it's the update you need. Since you downgraded, the updater thinks you have an older model. They are purposely not releasing the update that you need.

    It was not a "bad" update, it was a normal one and they simply forgot to do all of the model checks and lockouts they normally do. :P
     
  7. Yamagushi
    OP

    Yamagushi GBAtemp Regular

    Member
    276
    115
    May 2, 2013
    United States
    That's what I think the problem is as well, I think the card now believes its an older R4i 3DS and the update isn't for it.
     
  8. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,110
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    The cart doesn't believe anything, it's the update that is specifically programmed to only work on the new carts once it reads the current bootloader information.
     
  9. Yamagushi
    OP

    Yamagushi GBAtemp Regular

    Member
    276
    115
    May 2, 2013
    United States
    The update isn't a .nds file. Its blocked at the cart level, the option is "greyed out", the update never gets a chance to run. The update I am trying to run is for the card I have.
     
  10. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,110
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    The option you're trying to use is a shortcut that launches the update process (they don't distribute the update files separately because the same team makes both the software and firmware updates, unlike some other carts that have separate teams for each).

    A brand is not a cart. A single flash cart team will often put out many different hardware models. Look at your team's site, go to the downloads page, and if they don't list multiple models (each with their own downloads!) there, add 1 or 2 to the end of the URL (before the file extension obviously) to access their other download pages and see just how many models they've put out.

    Welcome to cheap Chinese knockoff goods. They pull this crap all the time. I have seen people in your situation many times. I already told you what the deal is. Get a new cart, from a different team. One that cares about providing updates, not selling new hardware when the old one should work fine.
    http://gbatemp.net/t290097-which-flash-cart-should-i-get
     
  11. Yamagushi
    OP

    Yamagushi GBAtemp Regular

    Member
    276
    115
    May 2, 2013
    United States
    I'm aware they have different models of the same cart. The update I'm using, was put out, when the cart I have was their newest cart. I am not trying to use an update that is too new for the cart. That is not the problem. The problem is their built in downloaded service grabbed an incorrect update and downgraded the card to a point it thinks it is an older model and won't update back up to what it could do when I bought it, much less any newer than that. I need to force the kernel update, as the card thinks the correct update is wrong.
     
  12. Rydian

    Rydian Resident Furvert™

    Member
    27,883
    8,110
    Feb 4, 2010
    United States
    Cave Entrance, Watching Cyan Write Letters
    And the updates are encrypted and cart-specific. Nobody's ever modified a firmware update for a flash cart*.
    * - If you edit it incorrectly the flash cart will stop booting at all, so most people don't even want to try.

    Unless you're good with breaking encryption and programming for FPGAs, you're not going to get that cart working since you need a working update file for it, but the one the team is putting out is checking the current bootloader version to determine whether to actually let you update or not.
     
  13. Yamagushi
    OP

    Yamagushi GBAtemp Regular

    Member
    276
    115
    May 2, 2013
    United States
    Haha! I figured out how to fix this issue after fiddling with it countless times!

    Ok, If you bought, a "R4i-SDHC 3DS 4.5" labeled r4i-sdhc.com and you tried to update the card, and the card "downgraded" itself, now displaying Metroid Prime when it used to display Bomberman, and under the Upgrade section in options all you can see it the following: "Support Model: NDSL, NDSi 1.44, 3DS 4.4" this should fix your card. Download the following update, unzip the files onto the sd card like any other update, go into settings on the card and press upgrade and start. When it is all finished, restart, you should now have the Bomberman logo and be back on 4.5 compatibility. Now that the card is no longer messed up, go to r4i-sdhc.com, download the newest firmware (currently 1.69b) and replace everything on the SD card with it (1.69b does not require you to go into settings and upgrade). After this you will be completely up to date and working. Cheers.

    R4i-SDHC 3DS 4.5 card stuck on 4.4 compatibility fix: http://filetrip.net/dl?Td5kqvcepV

    Incase the download goes down. To create this fix extract all the files of update 1.66b, replace only "flash.r4i" and "version.txt" in the folder "R4iMenu" with the files of the same name from update 1.67b.
     
    DFlash, Jufinda and Rydian like this.
  14. proapc

    proapc Member

    Newcomer
    22
    2
    Oct 28, 2008
    Colombia
    Colombia
    thank you, i'll try it myself
     
  15. Jufinda

    Jufinda Member

    Newcomer
    11
    0
    Nov 7, 2012
    This actually work on the original R4i 3ds (one before the 4.5), you get the ability to upgrade it to the bomberman icon so it works on 5.0 which i believe isn't possible, just going to try and upgrade to 1.69b now :P
     
  16. Jufinda

    Jufinda Member

    Newcomer
    11
    0
    Nov 7, 2012
    it shows me no update button for 1.69b which is annoying so no 5.1.0-11E for me yet :(
     
  17. Yamagushi
    OP

    Yamagushi GBAtemp Regular

    Member
    276
    115
    May 2, 2013
    United States
    1.69 doesn't have an update. It is software only. If you ran the update I posted, then put 1.69b on the SD card, you are now at the newest.
     
  18. Pitopito

    Pitopito Newbie

    Newcomer
    1
    0
    Jun 29, 2013
    United States
    It does work, your are able to update from 4.4 to 5 (you get the bomberman), but you still get the error. I guess it only works for those with the 4.5 in the label. Might be the components in the hardware of the cards.
     
  19. Yamagushi
    OP

    Yamagushi GBAtemp Regular

    Member
    276
    115
    May 2, 2013
    United States
    Indeed, as stated in my post, this is for cards labeled 4.5 only. The 4.5 change added new hardware, an older card shouldn't be able to run it.
     
  20. Giangsta

    Giangsta GBAtemp Regular

    Member
    284
    1
    Mar 17, 2007
    Does anyone know if the v4.5 card can be updated to support the latest 3ds firmware? V6.1.0?